# Generated by Django 5.1.4 on 2024-12-12 10:46

import django.db.models.deletion
import sio3pack.django.common.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("common", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="SinolpackModelSolution",
            fields=[
                (
                    "sio3packmodelsolution_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="common.sio3packmodelsolution",
                    ),
                ),
                (
                    "kind_name",
                    models.CharField(
                        choices=[("", "NORMAL"), ("s", "SLOW"), ("b", "INCORRECT")], max_length=1, verbose_name="kind"
                    ),
                ),
            ],
            bases=("common.sio3packmodelsolution",),
        ),
        migrations.CreateModel(
            name="SinolpackAdditionalFile",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=30, verbose_name="name")),
                (
                    "file",
                    models.FileField(
                        upload_to=sio3pack.django.common.models.make_problem_filename, verbose_name="file"
                    ),
                ),
                ("package", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="common.sio3package")),
            ],
            options={
                "verbose_name": "additional file",
                "verbose_name_plural": "additional files",
            },
        ),
        migrations.CreateModel(
            name="SinolpackAttachment",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("description", models.CharField(max_length=255, verbose_name="description")),
                (
                    "content",
                    models.FileField(
                        upload_to=sio3pack.django.common.models.make_problem_filename, verbose_name="file"
                    ),
                ),
                ("package", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="common.sio3package")),
            ],
            options={
                "verbose_name": "attachment",
                "verbose_name_plural": "attachments",
            },
        ),
        migrations.CreateModel(
            name="SinolpackConfig",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("config", models.TextField(verbose_name="config")),
                ("package", models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to="common.sio3package")),
            ],
            options={
                "verbose_name": "sinolpack's configuration",
                "verbose_name_plural": "sinolpack's configurations",
            },
        ),
    ]
